/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.base.entity.Syschildcode;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 系统通用码表子级表
 *
 * @author wangjieliu
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface SyschildcodeMapper extends BaseMapper<Syschildcode> {

    String getCodeById(@Param("id") Long id);

    Long getSort(Long pcid);

    List<Syschildcode> getBylistPcid(@Param("list") List<String> list);
}
